"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var index_1 = require("typedoc/dist/lib/models/reflections/index");
var service_1 = require("../service");
function compileGroup(group, parent) {
    var options = service_1.ThemeService.getOptions();
    var md = '';
    if (!group.allChildrenArePrivate) {
        var displayTitle = true;
        var isSinglePage = options.mdOutFile !== undefined;
        var displayBackLink = isSinglePage;
        var isMainTitle = options.mode === 0 && parent === undefined;
        if (group.kind === index_1.ReflectionKind.ObjectLiteral ||
            isSinglePage && group.kind === index_1.ReflectionKind.ExternalModule ||
            isSinglePage && group.kind === index_1.ReflectionKind.Module ||
            isSinglePage && group.kind === index_1.ReflectionKind.Interface ||
            isSinglePage && group.kind === index_1.ReflectionKind.Class ||
            isSinglePage && group.kind === index_1.ReflectionKind.Enum) {
            displayTitle = false;
            displayBackLink = false;
        }
        md = service_1.ThemeService.compilePartial("members.group.hbs", Object.assign(group, { displayTitle: displayTitle, isMainTitle: isMainTitle, displayBackLink: displayBackLink }));
    }
    return md;
}
exports.compileGroup = compileGroup;
